# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  hardware.bluetooth.enable = true;
  hardware.bluetooth.powerOnBoot = true;

  services.blueman.enable = true;

  systemd.user.services.auto-bluetooth = {
    description = "auto-bluetooth";
    serviceConfig = {
      Type = "forking";
      ExecStart = "/home/vitrial/.local/bin/bluetooth-autoconnect";
      ExecStop = "pkill bluetooth-autoconnect";
      Restart = "on-failure";
    };
    wantedBy = [ "default.target" ];
  };

 systemd.services.auto-bluetooth.enable = true;
}
